package matrices2;

import matrices.Matrix;
import matrices.MatrixException;
import matrices.MatrixUtil;
import matrices.Util;

public class Matrix085 {
    public static void main(String[] args) {
        double[][] A = {{1, 3, -1}, {2, -1, 3}, {-3, 7, -8}};
        double[][] B = {{6, -3, 3}, {4, 0, -1}, {2, 7, -2}};
        Matrix mA = new Matrix(A);
        mA.printToConsole();
        Util.print("");
        Matrix mB = new Matrix(B);
        mB.printToConsole();
        Util.print("");
        Matrix AplusB = null;
        try {
            AplusB = mA.add2(mB);
        } catch (MatrixException e) {
            e.printStackTrace();
        }
        AplusB.printToConsole();
        Util.print("");
        Matrix transAB = MatrixUtil.transpose(AplusB);
        transAB.printToConsole();
        Util.print("");
        //-
        Matrix transA = MatrixUtil.transpose(mA);
        transA.printToConsole();
        Util.print("");
        Matrix transB = MatrixUtil.transpose(mB);
        transB.printToConsole();
        Util.print("");
        Matrix tAplustB = null;
        try {
            tAplustB = transA.add2(transB);
        } catch (MatrixException e) {
            e.printStackTrace();
        }
        tAplustB.printToConsole();
    }
}
